List knowledgebase revisions
const url = 'https://app.prefactorai.com/api/v1/knowledgebase_revision?knowledgebase_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.prefactorai.com/api/v1/knowledgebase_revision?knowledgebase_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”A valid knowledgebase ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyKnowledgebase whose revisions are listed, newest first
Zero-based offset of the first item to return.
Number of items to return per page (1-100).
Responses
Section titled “Responses”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Null
Sorting information
object
The direction to sort by
The field to sort by (values depend on the type of list)
Where to place null values. auto leaves placement to the database default.
Response status when the query succeeds
Revisions of the knowledgebase, newest first
Summary of a knowledgebase revision for list responses
object
A valid admin user ID
Null
A valid API token ID
Null
Whether this is the revision agents read. Agents read the current revision, which is always the latest revision.
Number of active documents after this revision
A valid knowledgebase revision ID
When the revision was created
A valid knowledgebase ID
Revision number. It starts at 0 when the knowledgebase is created and increases by one for each document change
Total size in bytes of active documents after this revision
Type of resource (always ‘knowledgebase_revision’)
Example
{ "pagination": { "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80 }, "sorting": { "direction": "asc", "field": "id", "nulls": "first" }, "status": "success", "summaries": [ { "created_by_admin_user_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "created_by_api_token_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "current": true, "document_count": 2, "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "inserted_at": "2024-01-01T00:00:00Z", "knowledgebase_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "revision_number": 3, "total_size_bytes": 128, "type": "knowledgebase_revision" } ]}default
Section titled “default”Error
object
object
object
object
Milliseconds until the client may retry.
object
A valid knowledgebase document revision ID
Example
{ "code": "bad_request", "status": "error"}